| Home · API Reference · Modules

Public Types | Public Member Functions | Static Public Member Functions | List of all members
MImServer Class Reference

`#include <mimserver.h>`

Inheritance diagram for MImServer:
[legend]

## Public Types

enum | SettingsType

## Public Member Functions

| MImServer (const QSharedPointer< MInputContextConnection > &icConnection, const QSharedPointer< Maliit::AbstractPlatform > &platform, QObject *parent=0)
| ~MImServer ()

## Static Public Member Functions

static void | configureSettings (MImServer::SettingsType settingsType)

## Member Enumeration Documentation

## ◆ SettingsType

enum MImServer::SettingsType

Enumerator
TemporarySettings |
PersistentSettings |

## Constructor & Destructor Documentation

## ◆ MImServer()

MImServer::MImServer | ( | const QSharedPointer< MInputContextConnection > & | icConnection,
|  | const QSharedPointer< Maliit::AbstractPlatform > & | platform,
|  | QObject * | parent = 0 )

explicit

## ◆ ~MImServer()

MImServer::~MImServer | ( |  | ) |

## Member Function Documentation

## ◆ configureSettings()

void MImServer::configureSettings | ( | MImServer::SettingsType | settingsType | ) |

static

Copyright © 2011 Nokia Corporation |  | Maliit